curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list"
}
}'
{
"clients": [{
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"multiple": true
}],
"code": "200",
"message": "Clients found"
}
Client
List of clients
List all clients created with your Sendforsign API key, with their client keys and details.
POST
/
api
/
client
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list"
}
}'
{
"clients": [{
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"multiple": true
}],
"code": "200",
"message": "Clients found"
}
Body parameters
Response
Array of clients.
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list"
}
}'
{
"clients": [{
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION",
"multiple": true
}],
"code": "200",
"message": "Clients found"
}